
// Checkers3D.java
// Andrew Davison, April 2005, ad@fivedots.coe.psu.ac.th

/* Jednoduchý základní svět sestávající z šachovnicové podlahy
   s červeným čtverečkem uprostřed a značkami na osách x a z.

   Uprostřed scény je umístěna vznášející se lesklá modrá koule.
*/

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;


public class Checkers3D extends JFrame
{
  public Checkers3D() 
  {
    super("Checkers3D");
    Container c = getContentPane();
    c.setLayout( new BorderLayout() );
    WrapCheckers3D w3d = new WrapCheckers3D();     // panel uchovávající 3D-canvas
    c.add(w3d, BorderLayout.CENTER);

    setDefaultCloseOperation( JFrame.EXIT_ON_CLOSE );
    pack();
    setResizable(false);    // rozměry okna jsou pevně dány
    setVisible(true);
  } // konec metody: Checkers3D()


// -----------------------------------------

  public static void main(String[] args)
  { new Checkers3D(); }

} // konec třídy: Checkers3D
